<?php

namespace App\Framework\Cache\Driver;

use App\Framework\Cache\CacheDriver;
use App\Framework\Cache\CacheItem;

class NullCache implements CacheDriver
{

    public function get(string $key): CacheItem
    {
        return CacheItem::miss($key);
    }

    public function set(string $key, string $value, ?int $ttl = null): bool
    {
        return true;
    }

    public function has(string $key): bool
    {
        return false;
    }

    public function forget(string $key): bool
    {
        return true;
    }

    public function clear(): bool
    {
        return true;
    }
}
